Bug 834948 - [patch] Inject OSGI Manifest for xalan-j2.jar
[patch] Inject OSGI Manifest for xalan-j2.jar
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xalan-j2 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 834970 835283
  Show dependency treegraph
 
Reported: 2012-06-24 20:18 EDT by Gerard Ryan
Modified: 2012-07-10 17:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-10 17:00:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Inject OSGI Manifest for xalan-j2.jar (2.23 KB, patch)
2012-06-24 20:18 EDT, Gerard Ryan
no flags Details | Diff
Inject OSGI Manifest for xalan-j2.jar (3.86 KB, patch)
2012-06-24 20:20 EDT, Gerard Ryan
no flags Details | Diff
Remove-xsltc-2.7.1.pom-from-.gitignore (1.09 KB, patch)
2012-06-24 20:24 EDT, Gerard Ryan
no flags Details | Diff
patch with error fixed (3.86 KB, patch)
2012-06-27 09:43 EDT, Gerard Ryan
no flags Details | Diff
hopefully fixed whitespace error (3.85 KB, patch)
2012-06-28 11:10 EDT, Gerard Ryan
no flags Details | Diff
Fix Requires for javax.servlet to geronimo-osgi-support (1.30 KB, patch)
2012-07-02 09:39 EDT, Gerard Ryan
no flags Details | Diff

  None (edit)
Description Gerard Ryan 2012-06-24 20:18:24 EDT
Created attachment 594075 [details]
Inject OSGI Manifest for xalan-j2.jar

This patch injects information necessary into the java_cup-runtime.jar manifest so that it can be used as an orbit dependency for building eclipse plugins.

I took the information from the existing manifest, and just added the information necessary for eclipse.

URL for Source3 changed, so I've updated that also.

rpmbuild didn't seem to like that 'javax.servlet' was set as a BR (I can't remember the exact error, but it failed), so that's switched to geronimo-osgi-support.
Comment 1 Gerard Ryan 2012-06-24 20:20:34 EDT
Created attachment 594079 [details]
Inject OSGI Manifest for xalan-j2.jar

I submitted the wrong file first time around.
Comment 2 Gerard Ryan 2012-06-24 20:24:00 EDT
Created attachment 594080 [details]
Remove-xsltc-2.7.1.pom-from-.gitignore

There's no URL given for xsltc pom, so it's a bit of a nuisance to go looking for the file. This removes it from .gitignore so that it will come with the rest of the files.

If there's some fedpkg command to pull this, then feel free to ignore this patch...it's considerably less important than the first!
Comment 3 Marek Goldmann 2012-06-27 09:07:20 EDT
I'll take it.
Comment 4 Marek Goldmann 2012-06-27 09:27:23 EDT
While trying to apply patch #594079:

Applying: Inject OSGI Manifest for xalan-j2.jar
/home/goldmann/fedora/xalan-j2/.git/rebase-apply/patch:52: new blank line at EOF.
+
warning: 1 line adds whitespace errors.

Could you please fix it?
Comment 5 Gerard Ryan 2012-06-27 09:43:10 EDT
Created attachment 594781 [details]
patch with error fixed

fixed error in comment 4
Comment 6 Gerard Ryan 2012-06-28 11:10:50 EDT
Created attachment 595045 [details]
hopefully fixed whitespace error

it should be really fixed this time I hope, otherwise I don't know what's going wrong!
Comment 7 Fedora Update System 2012-07-02 09:00:46 EDT
xalan-j2-2.7.1-10.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xalan-j2-2.7.1-10.fc17
Comment 8 Gerard Ryan 2012-07-02 09:39:02 EDT
Created attachment 595729 [details]
Fix Requires for javax.servlet to geronimo-osgi-support
Comment 9 Fedora Update System 2012-07-02 10:25:54 EDT
xalan-j2-2.7.1-11.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xalan-j2-2.7.1-11.fc17
Comment 10 Fedora Update System 2012-07-02 18:25:27 EDT
Package xalan-j2-2.7.1-10.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xalan-j2-2.7.1-10.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10135/xalan-j2-2.7.1-10.fc17
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2012-07-10 17:00:11 EDT
xalan-j2-2.7.1-11.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.